/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Uranium", "index.html", [
    [ "Building", "md_docs_2Building.html", [
      [ "Related", "md_docs_2Building.html#autotoc_md1", null ],
      [ "Configuring Conan", "md_docs_2Building.html#autotoc_md2", null ],
      [ "Clone Uranium", "md_docs_2Building.html#autotoc_md3", null ],
      [ "Environment Initialization", "md_docs_2Building.html#autotoc_md4", null ],
      [ "Running Tests", "md_docs_2Building.html#autotoc_md5", [
        [ "Linux / MacOS", "md_docs_2Building.html#autotoc_md6", null ],
        [ "Windows", "md_docs_2Building.html#autotoc_md7", null ]
      ] ]
    ] ],
    [ "Central File Storage", "md_docs_2centralfilestorage.html", [
      [ "Purpose", "md_docs_2centralfilestorage.html#autotoc_md8", null ],
      [ "How To Store Files", "md_docs_2centralfilestorage.html#autotoc_md9", null ],
      [ "How To Retrieve Files", "md_docs_2centralfilestorage.html#autotoc_md10", null ],
      [ "Security", "md_docs_2centralfilestorage.html#autotoc_md11", null ]
    ] ],
    [ "Developing Uranium <br> In Editable Mode", "md_docs_2Developing.html", null ],
    [ "High Level Overview", "md_docs_2overview.html", [
      [ "Core", "md_docs_2overview.html#autotoc_md13", null ],
      [ "Backend", "md_docs_2overview.html#autotoc_md14", null ],
      [ "Math", "md_docs_2overview.html#autotoc_md15", null ],
      [ "MeshHandling", "md_docs_2overview.html#autotoc_md16", null ],
      [ "Scene", "md_docs_2overview.html#autotoc_md17", null ],
      [ "Settings", "md_docs_2overview.html#autotoc_md18", null ],
      [ "View", "md_docs_2overview.html#autotoc_md19", null ],
      [ "Toolkit Specifics", "md_docs_2overview.html#autotoc_md20", null ],
      [ "Class Diagram", "md_docs_2overview.html#autotoc_md21", null ]
    ] ],
    [ "Packaging", "md_docs_2Packaging.html", null ],
    [ "Plugins in Uranium", "md_docs_2plugins.html", [
      [ "Plugin Metadata", "md_docs_2plugins.html#autotoc_md23", [
        [ "Plugin About Data", "md_docs_2plugins.html#autotoc_md24", null ]
      ] ],
      [ "Plugin Types", "md_docs_2plugins.html#autotoc_md25", null ],
      [ "Example Plugin Metadata", "md_docs_2plugins.html#autotoc_md26", null ]
    ] ],
    [ "Rendering", "md_docs_2rendering.html", [
      [ "Rendering Pipeline", "md_docs_2rendering.html#autotoc_md27", null ],
      [ "Render Passes", "md_docs_2rendering.html#autotoc_md28", null ],
      [ "SceneNode::render() versus Renderer::queueNode()", "md_docs_2rendering.html#autotoc_md29", null ]
    ] ],
    [ "System Requirements", "md_docs_2System_01Requirements.html", [
      [ "<img src=\"https://img.shields.io/badge/Windows-10+-0062ad.svg?style=for-the-badge&labelColor=0078D6&logoColor=white&logo=Windows\" alt=\"Badge Windows\"/>", "md_docs_2System_01Requirements.html#autotoc_md31", [
        [ "<img src=\"https://img.shields.io/badge/Ubuntu-b44019.svg?style=for-the-badge&labelColor=E95420&logoColor=white&logo=Ubuntu\" alt=\"Badge Ubuntu\"/>   <img src=\"https://img.shields.io/badge/Debian-7d1627.svg?style=for-the-badge&labelColor=A81D33&logoColor=white&logo=Debian\" alt=\"Badge Debian\"/>   <img src=\"https://img.shields.io/badge/Arch-116b98.svg?style=for-the-badge&labelColor=1793D1&logoColor=white&logo=ArchLinux\" alt=\"Badge Arch\"/>   <img src=\"https://img.shields.io/badge/Manjaro-289044.svg?style=for-the-badge&labelColor=35BF5C&logoColor=white&logo=Manjaro\" alt=\"Badge Manjaro\"/>", "md_docs_2System_01Requirements.html#autotoc_md32", null ],
        [ "<img src=\"https://img.shields.io/badge/MacOS-10.15+-666666.svg?style=for-the-badge&labelColor=7d7d7d&logoColor=white&logo=Apple\" alt=\"Badge MacOS\"/>", "md_docs_2System_01Requirements.html#autotoc_md33", null ]
      ] ]
    ] ],
    [ "Translation Guide", "md_docs_2translations.html", [
      [ "Mark strings as translatable in Python", "md_docs_2translations.html#autotoc_md34", [
        [ "Use named arguments for string formatting", "md_docs_2translations.html#autotoc_md35", null ],
        [ "String Placeholders and Semantic Tags", "md_docs_2translations.html#autotoc_md36", null ],
        [ "Add extra context-markers for alt-key accelerated menu-items", "md_docs_2translations.html#autotoc_md37", null ]
      ] ],
      [ "Mark a string as translatable in QML", "md_docs_2translations.html#autotoc_md38", null ],
      [ "Extract the messages", "md_docs_2translations.html#autotoc_md39", null ],
      [ "Theory on translation files", "md_docs_2translations.html#autotoc_md40", null ],
      [ "Creating the PO files", "md_docs_2translations.html#autotoc_md41", null ],
      [ "Updating the PO files (After translations are complete)", "md_docs_2translations.html#autotoc_md42", null ],
      [ "Creating the MO files & testing", "md_docs_2translations.html#autotoc_md43", null ],
      [ "Finally", "md_docs_2translations.html#autotoc_md44", null ]
    ] ],
    [ "Version Upgrade System", "md_docs_2versionupgrade.html", null ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Event_8py.html",
"classUM_1_1Mesh_1_1MeshData_1_1MeshData.html#a6cb526ffa95d19d720f7486e7f235539",
"classUM_1_1Qt_1_1QtRenderer_1_1QtRenderer.html#addf430712a89d71bcb8a916e2f619145",
"classUM_1_1Settings_1_1InstanceContainer_1_1InstanceContainer.html#a2e3d8ca1e1f7194d5d362b96af1e7c93",
"classUM_1_1SortedList_1_1SortedList.html#a847d1c982a027a6cd9d1da9e334ad899",
"functions_q.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';